Tutorial about compiling UE4 with GLES3.1+AEP and MSVC 2013 — Oculus
Welcome to the Oculus Developer Forums!

Your participation on the forum is subject to the Oculus Code of Conduct.

In general, please be respectful and kind. If you violate the Oculus Code of Conduct, your access to the developer forums may be revoked at the discretion of Oculus staff.

Tutorial about compiling UE4 with GLES3.1+AEP and MSVC 2013

motorsepmotorsep Posts: 1,402 Oculus Start Member
edited March 2016 in Unreal Development
Is there a step-by-step tutorial about building UE4 from source with GLES3.1+AEP enabled, using MSVC2013 ? (4.10, 4.11 and up)

Note that I am only interested in building engine, not coding in C++ for it. So I have no intentions installing MSVC 2015 on my rig.

Feel free to also respond here https://answers.unrealengine.com/questi ... nd-ms.html so that others can find it.

Thanks.

Comments

  • artyom17artyom17 Posts: 319 Oculus Staff
    Oculus integration with UE4 doesn't use ES3.1, so, I think, the best course of actions here is to get answer from Epic guys.
  • motorsepmotorsep Posts: 1,402 Oculus Start Member
    Oh, never mind then. Thanks.

    Why is GLES3.1 is recommended for Unity, but disregarded in UE4 ?
  • artyom17artyom17 Posts: 319 Oculus Staff
    Unity recommends to use ES3, not ES3.1. Epic decided to skip ES3 in favor of upcoming Vulcan, as far as I know. But Epic themselves could explain their decisions better than me :)
  • motorsepmotorsep Posts: 1,402 Oculus Start Member
    Alright.

    So, should I not use UE4 for Gear VR? It just seems that currently neither Epic nor Oculus don't really have any desire to have UE4 supported/working as good as Unity for Gear VR.
  • artyom17artyom17 Posts: 319 Oculus Staff
    ES2 vs ES3 shouldn't stop you from using GearVR with UE4. We are working with Epic to improve GearVR support in UE4 and your feedback is very important. Let discuss what could be done here: viewtopic.php?f=60&t=30941&p=341582#p341582
Sign In or Register to comment.